Sign in

Create Template Org Config

POST https://{organization}.myguper.com/api/sender/template-organization-config

Wires a template (slug) to a specific provider for the organization. When a template is rendered and no per-message provider is supplied, the dispatcher uses the entry registered here to decide which provider_settings row should send it.

Use this endpoint when you want a template to use a non-default provider — otherwise the default of the corresponding provider type is used automatically.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "slug": "welcome_email",
    "type": "smtp",
    "provider": 12,
    "active": true
}

Responses

{
    "id": 5,
    "slug": "welcome_email",
    "type": "smtp",
    "provider": 12,
    "active": true
}

Related

Copied to clipboard